#include "MVF50GS10MK50.h"

void ecc_init(void);
void ecc_ddr3_init(void);
void ecc_ocram_init(void);

#define OCRMDR0               (OCRAM_BASE + 0x000)
#define OCRMDR1               (OCRAM_BASE + 0x004)
#define OCRMDR2               (OCRAM_BASE + 0x008)
#define OCRMDR3               (OCRAM_BASE + 0x008)
#define OCMECR		      (OCRAM_BASE + 0x020)
#define OCMEIR		      (OCRAM_BASE + 0x028)
#define OCMEGR		      (OCRAM_BASE + 0x02C)
#define OCMFAR		      (OCRAM_BASE + 0x030)
#define OCMFTR		      (OCRAM_BASE + 0x034)
#define OCMFDR		      (OCRAM_BASE + 0x038)
